# /api/users

Interact with users.

## POST /api/users

Create a new user.

```
{
	// set the user's username
	username: string;

	// set the user's password, will be hashed and discarded server-side
	password?: string;

	// can send an already-hashed password if we want to keep this client-side
	// should be a base64-encoded SHA-256 hash of the user's client-entered pw
	password_hash?: string;
}
```

## GET /api/users

Get users. (admin)

TODO: document this
